QGIS Application - Bug report #3147
QGIS crashes when set pen width

2010-10-21 11:20 PM - dr -

Status:

Priority:

Assignee:

Category:

Affected QGIS version:
Operating System:

Closed

Low

Martin Dobias
Symbology

All

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 13207

Description

1. Open any vector line layer;

2. Properties - New Symbology - Single Symbol - Properties;

3. Remove all symbol layers;

4. Try to set pen width;

5. QGIS crashes!

History

#1 - 2010-10-22 01:25 AM - Giovanni Manghi

confirmed under Ubuntu 10.04/trunk

#2 - 2010-10-22 12:46 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:9f7ed1ec (SVN r14428) (there must be always at least one symbol layer for a valid symbol)
